# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.2 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr/pkg
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = /usr/pkg/man
includedir = ${prefix}/include
oldincludedir = /usr/include

pkgdatadir = $(datadir)/libkrypto
pkglibdir = $(libdir)/libkrypto
pkgincludedir = $(includedir)/libkrypto

top_builddir = .

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c -o pbulk -g users
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
transform = s,x,x,

NORMAL_INSTALL = true
PRE_INSTALL = true
POST_INSTALL = true
NORMAL_UNINSTALL = true
PRE_UNINSTALL = true
POST_UNINSTALL = true
CC = gcc
LN_S = ln -s
MAKEINFO = /tmp/pkgbuild/security/srp_client/work/srp-1.4.4/libkrypto/missing makeinfo
PACKAGE = libkrypto
RANLIB = ranlib
VERSION = 1.0

AUTOMAKE_OPTIONS = foreign

include_HEADERS = krypto.h

noinst_HEADERS = \
  krypto_locl.h cipher_imp_blowfish.h \
  cipher_imp_des.h cipher_imp_cast.h \
  hash_imp_md5.h hash_imp_sha.h

lib_LIBRARIES = libkrypto.a

libkrypto_a_SOURCES = \
  krypto.c cipher.c cipher_crypt_ecb.c cipher_crypt_cbc.c \
  cipher_crypt_cfb.c cipher_crypt_ofb.c hash.c krypto_rand_conf.c \
  cipher_imp_cast.c cipher_imp_blowfish.c cipher_imp_des.c \
  cipher_imp_none.c \
  hash_imp_md5.c hash_imp_sha.c

noinst_PROGRAMS = cipher_test hash_test krypto_test cipher_bench

cipher_test_SOURCES = cipher_test.c
hash_test_SOURCES = hash_test.c
krypto_test_SOURCES = krypto_test.c
cipher_bench_SOURCES = cipher_bench.c

LDADD = libkrypto.a

TESTS = cipher_test hash_test krypto_test

EXTRA_DIST = README
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(lib_LIBRARIES)


DEFS =  -DPACKAGE=\"libkrypto\" -DVERSION=\"1.0\" -DSTDC_HEADERS=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_SYS_TYPES_H=1 -DTIME_WITH_SYS_TIME=1 -DSIZEOF_SHORT=2 -DSIZEOF_INT=4 -DSIZEOF_LONG=8 -DHAVE_SRAND48=1 -DHAVE_SRAND=1 -DHAVE_SRANDOM=1 -DHAVE_GETPID=1 -DCIPHER_BLOWFISH=1 -DCIPHER_DES=1 -DCIPHER_CAST5=1 -DHASH_MD5=1 -DHASH_SHA=1  -I. -I$(srcdir) 
CPPFLAGS = -Dunix=1 -I/usr/pkg/include
LDFLAGS = -L/usr/pkg/lib -Wl,-R/usr/pkg/lib
LIBS = 
libkrypto_a_LIBADD = 
libkrypto_a_OBJECTS =  krypto.o cipher.o cipher_crypt_ecb.o \
cipher_crypt_cbc.o cipher_crypt_cfb.o cipher_crypt_ofb.o hash.o \
krypto_rand_conf.o cipher_imp_cast.o cipher_imp_blowfish.o \
cipher_imp_des.o cipher_imp_none.o hash_imp_md5.o hash_imp_sha.o
AR = ar
PROGRAMS =  $(noinst_PROGRAMS)

cipher_test_OBJECTS =  cipher_test.o
cipher_test_LDADD = $(LDADD)
cipher_test_DEPENDENCIES =  libkrypto.a
cipher_test_LDFLAGS = 
hash_test_OBJECTS =  hash_test.o
hash_test_LDADD = $(LDADD)
hash_test_DEPENDENCIES =  libkrypto.a
hash_test_LDFLAGS = 
krypto_test_OBJECTS =  krypto_test.o
krypto_test_LDADD = $(LDADD)
krypto_test_DEPENDENCIES =  libkrypto.a
krypto_test_LDFLAGS = 
cipher_bench_OBJECTS =  cipher_bench.o
cipher_bench_LDADD = $(LDADD)
cipher_bench_DEPENDENCIES =  libkrypto.a
cipher_bench_LDFLAGS = 
CFLAGS = -O2 -mieee -D_FORTIFY_SOURCE=2 -I/usr/pkg/include
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(include_HEADERS) $(noinst_HEADERS)

DIST_COMMON =  README Makefile.am Makefile.in aclocal.m4 configure \
configure.in install-sh missing mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
SOURCES = $(libkrypto_a_SOURCES) $(cipher_test_SOURCES) $(hash_test_SOURCES) $(krypto_test_SOURCES) $(cipher_bench_SOURCES)
OBJECTS = $(libkrypto_a_OBJECTS) $(cipher_test_OBJECTS) $(hash_test_OBJECTS) $(krypto_test_OBJECTS) $(cipher_bench_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .o
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

mostlyclean-libLIBRARIES:

clean-libLIBRARIES:
	test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)

distclean-libLIBRARIES:

maintainer-clean-libLIBRARIES:

install-libLIBRARIES: $(lib_LIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(libdir)
	list='$(lib_LIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(libdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(libdir)/$$p; \
	  else :; fi; \
	done
	@$(POST_INSTALL)
	@list='$(lib_LIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(RANLIB) $(libdir)/$$p"; \
	    $(RANLIB) $(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLIBRARIES:
	$(NORMAL_UNINSTALL)
	list='$(lib_LIBRARIES)'; for p in $$list; do \
	  rm -f $(libdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:

libkrypto.a: $(libkrypto_a_OBJECTS) $(libkrypto_a_DEPENDENCIES)
	rm -f libkrypto.a
	$(AR) cru libkrypto.a $(libkrypto_a_OBJECTS) $(libkrypto_a_LIBADD)
	$(RANLIB) libkrypto.a

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

cipher_test: $(cipher_test_OBJECTS) $(cipher_test_DEPENDENCIES)
	@rm -f cipher_test
	$(LINK) $(cipher_test_LDFLAGS) $(cipher_test_OBJECTS) $(cipher_test_LDADD) $(LIBS)

hash_test: $(hash_test_OBJECTS) $(hash_test_DEPENDENCIES)
	@rm -f hash_test
	$(LINK) $(hash_test_LDFLAGS) $(hash_test_OBJECTS) $(hash_test_LDADD) $(LIBS)

krypto_test: $(krypto_test_OBJECTS) $(krypto_test_DEPENDENCIES)
	@rm -f krypto_test
	$(LINK) $(krypto_test_LDFLAGS) $(krypto_test_OBJECTS) $(krypto_test_LDADD) $(LIBS)

cipher_bench: $(cipher_bench_OBJECTS) $(cipher_bench_DEPENDENCIES)
	@rm -f cipher_bench
	$(LINK) $(cipher_bench_LDFLAGS) $(cipher_bench_OBJECTS) $(cipher_bench_LDADD) $(LIBS)

install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  echo " $(INSTALL_DATA) $(srcdir)/$$p $(includedir)/$$p"; \
	  $(INSTALL_DATA) $(srcdir)/$$p $(includedir)/$$p; \
	done

uninstall-includeHEADERS:
	$(NORMAL_UNINSTALL)
	list='$(include_HEADERS)'; for p in $$list; do \
	  rm -f $(includedir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	rm -rf $(distdir)
	GZIP=$(GZIP) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) \
	  && $(MAKE) dvi \
	  && $(MAKE) check \
	  && $(MAKE) install \
	  && $(MAKE) installcheck \
	  && $(MAKE) dist
	rm -rf $(distdir)
	@echo "========================"; \
	echo "$(distdir).tar.gz is ready for distribution"; \
	echo "========================"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	rm -rf $(distdir)
distdir: $(DISTFILES)
	rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
cipher.o cipher.lo: cipher.c krypto.h krypto_locl.h
cipher_bench.o cipher_bench.lo: cipher_bench.c krypto.h
cipher_crypt_cbc.o cipher_crypt_cbc.lo: cipher_crypt_cbc.c krypto.h \
	krypto_locl.h
cipher_crypt_cfb.o cipher_crypt_cfb.lo: cipher_crypt_cfb.c krypto.h \
	krypto_locl.h
cipher_crypt_ecb.o cipher_crypt_ecb.lo: cipher_crypt_ecb.c krypto.h \
	krypto_locl.h
cipher_crypt_ofb.o cipher_crypt_ofb.lo: cipher_crypt_ofb.c krypto.h \
	krypto_locl.h
cipher_imp_blowfish.o cipher_imp_blowfish.lo: cipher_imp_blowfish.c \
	krypto.h cipher_imp_blowfish.h krypto_locl.h
cipher_imp_cast.o cipher_imp_cast.lo: cipher_imp_cast.c krypto.h \
	cipher_imp_cast.h krypto_locl.h
cipher_imp_des.o cipher_imp_des.lo: cipher_imp_des.c krypto.h \
	cipher_imp_des.h krypto_locl.h
cipher_imp_none.o cipher_imp_none.lo: cipher_imp_none.c krypto.h
cipher_test.o cipher_test.lo: cipher_test.c krypto.h krypto_locl.h
hash.o hash.lo: hash.c krypto.h krypto_locl.h
hash_imp_md5.o hash_imp_md5.lo: hash_imp_md5.c hash_imp_md5.h \
	krypto_locl.h krypto.h
hash_imp_sha.o hash_imp_sha.lo: hash_imp_sha.c krypto.h hash_imp_sha.h \
	krypto_locl.h
hash_test.o hash_test.lo: hash_test.c krypto.h krypto_locl.h
krypto.o krypto.lo: krypto.c krypto.h krypto_locl.h
krypto_rand_conf.o krypto_rand_conf.lo: krypto_rand_conf.c krypto_locl.h
krypto_test.o krypto_test.lo: krypto_test.c krypto.h krypto_locl.h

check-TESTS: $(TESTS)
	@failed=0; all=0; \
	srcdir=$(srcdir); export srcdir; \
	for tst in $(TESTS); do \
	  if test -f $$tst; then dir=.; \
	  else dir="$(srcdir)"; fi; \
	  if $(TESTS_ENVIRONMENT) $$dir/$$tst; then \
	    all=`expr $$all + 1`; \
	    echo "PASS: $$tst"; \
	  elif test $$? -ne 77; then \
	    all=`expr $$all + 1`; \
	    failed=`expr $$failed + 1`; \
	    echo "FAIL: $$tst"; \
	  fi; \
	done; \
	if test "$$failed" -eq 0; then \
	  banner="All $$all tests passed"; \
	else \
	  banner="$$failed of $$all tests failed"; \
	fi; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"; \
	test "$$failed" -eq 0
info:
dvi:
check: all
	$(MAKE) check-TESTS
installcheck:
install-exec: install-libLIBRARIES
	@$(NORMAL_INSTALL)

install-data: install-includeHEADERS
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-libLIBRARIES uninstall-includeHEADERS

all: Makefile $(LIBRARIES) $(PROGRAMS) $(HEADERS)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(libdir) $(includedir)


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h stamp-h[0-9]*
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-libLIBRARIES mostlyclean-compile \
		mostlyclean-noinstPROGRAMS mostlyclean-tags \
		mostlyclean-generic

clean:  clean-libLIBRARIES clean-compile clean-noinstPROGRAMS clean-tags \
		clean-generic mostlyclean

distclean:  distclean-libLIBRARIES distclean-compile \
		distclean-noinstPROGRAMS distclean-tags \
		distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-libLIBRARIES \
		maintainer-clean-compile \
		maintainer-clean-noinstPROGRAMS maintainer-clean-tags \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f config.status

.PHONY: default mostlyclean-libLIBRARIES distclean-libLIBRARIES \
clean-libLIBRARIES maintainer-clean-libLIBRARIES uninstall-libLIBRARIES \
install-libLIBRARIES mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile mostlyclean-noinstPROGRAMS \
distclean-noinstPROGRAMS clean-noinstPROGRAMS \
maintainer-clean-noinstPROGRAMS uninstall-includeHEADERS \
install-includeHEADERS tags mostlyclean-tags distclean-tags clean-tags \
maintainer-clean-tags distdir check-TESTS info dvi installcheck \
install-exec install-data install uninstall all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
